# MatShellSetContext

sets the context for a shell matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatShellSetContext(Mat mat,void *ctx)

Collective on Mat

### Input Parameters

| mat | - the shell matrix
| ctx | - the context

Fortran Notes: The context can only be an integer or a PetscObject unfortunately it cannot be a Fortran array or derived type.

### See Also

MatCreateShell(), MatShellGetContext(), MatShellGetOperation()

Level:advanced
Location: src/mat/impls/shell/shell.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages